import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static void main(String[] args) {
    var names = List.of("Dory", "Gill", "Bruce", "Nemo", "Darla", "Marlin", "Jacques");
  
    List<String> inUpperCase = new ArrayList<>();

    for(var name: names) {
      inUpperCase.add(name.toUpperCase()); 
    }
    
    System.out.println(inUpperCase);

    System.out.println("----");
    
    List<String> inUpperCaseAlso = names.stream()
      .map(String::toUpperCase) 
      .collect(toList());
    
    System.out.println(inUpperCaseAlso);
  }
}

