import java.util.*;
import static java.util.stream.Collectors.*;

public class Sample {
  public static void main(String[] args) {
    var names = List.of("Dory", "Gill", "Bruce", "Nemo", "Darla", "Marlin", "Jacques");
  
    for(var name: names) {
      if(name.length() == 5) {
        break;
      }

      System.out.println(name);
    }
    
    System.out.println("----");
    
    names.stream()
      .takeWhile(name -> name.length() != 5)
      .forEach(System.out::println);
  }
}

